<?php
//about theme info
add_action( 'admin_menu', 'vw_dark_gettingstarted' );
function vw_dark_gettingstarted() {
	add_theme_page( esc_html__('About VW Dark', 'vw-dark'), esc_html__('About VW Dark', 'vw-dark'), 'edit_theme_options', 'vw_dark_guide', 'vw_dark_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function vw_dark_admin_theme_style() {
	wp_enqueue_style('vw-dark-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getstart/getstart.css');
	wp_enqueue_script('vw-dark-tabs', esc_url(get_template_directory_uri()) . '/inc/getstart/js/tab.js');
}
add_action('admin_enqueue_scripts', 'vw_dark_admin_theme_style');

//guidline for about theme
function vw_dark_mostrar_guide() { 
	//custom function about theme customizer
	$vw_dark_return = add_query_arg( array()) ;
	$vw_dark_theme = wp_get_theme( 'vw-dark' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php esc_html_e( 'Welcome to VW Dark', 'vw-dark' ); ?> <span class="version"><?php esc_html_e( 'Version', 'vw-dark' ); ?>: <?php echo esc_html($vw_dark_theme['Version']);?></span></h2>
    	<p><?php esc_html_e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','vw-dark'); ?></p>
    </div>
    <div class="tab-sec">
    	<div class="tab">
			<button class="tablinks" onclick="vw_dark_open_tab(event, 'lite_theme')"><?php esc_html_e( 'Setup With Customizer', 'vw-dark' ); ?></button>
			<button class="tablinks" onclick="vw_dark_open_tab(event, 'gutenberg_editor')"><?php esc_html_e( 'Setup With Gutunberg Block', 'vw-dark' ); ?></button>
		</div>

		<?php
			$vw_dark_plugin_custom_css = '';
			if(class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$vw_dark_plugin_custom_css ='display: block';
			}
		?>
		<div id="lite_theme" class="tabcontent open">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
				$plugin_ins = VW_Dark_Plugin_Activation_Settings::get_instance();
				$vw_dark_actions = $plugin_ins->recommended_actions;
				?>
				<div class="vw-dark-recommended-plugins">
				    <div class="vw-dark-action-list">
				        <?php if ($vw_dark_actions): foreach ($vw_dark_actions as $key => $vw_dark_actionValue): ?>
				                <div class="vw-dark-action" id="<?php echo esc_attr($vw_dark_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($vw_dark_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($vw_dark_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($vw_dark_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" get-start-tab-id="lite-theme-tab" href="javascript:void(0);"><?php esc_html_e('Skip','vw-dark'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="lite-theme-tab" style="<?php echo esc_attr($vw_dark_plugin_custom_css); ?>">
				<h3><?php esc_html_e( 'Lite Theme Information', 'vw-dark' ); ?></h3>
				<hr class="h3hr">
				<p><?php esc_html_e('#######','vw-dark'); ?></p>
			  	<div class="col-left-inner">
			  		<h4><?php esc_html_e( 'Theme Documentation', 'vw-dark' ); ?></h4>
					<p><?php esc_html_e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'vw-dark' ); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_DARK_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'vw-dark' ); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Theme Customizer', 'vw-dark'); ?></h4>
					<p> <?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'vw-dark'); ?></p>
					<div class="info-link">
						<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'vw-dark'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Having Trouble, Need Support?', 'vw-dark'); ?></h4>
					<p> <?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'vw-dark'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_DARK_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'vw-dark'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Reviews & Testimonials', 'vw-dark'); ?></h4>
					<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'vw-dark'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_DARK_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'vw-dark'); ?></a>
					</div>

					<div class="link-customizer">
						<h3><?php esc_html_e( 'Link to customizer', 'vw-dark' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','vw-dark'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_dark_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','vw-dark'); ?></a>
								</div>
							</div>

							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-slides"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_dark_slidersettings') ); ?>" target="_blank"><?php esc_html_e('Slider Settings','vw-dark'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-category"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_dark_about_section') ); ?>" target="_blank"><?php esc_html_e('About Section','vw-dark'); ?></a>
								</div>
							</div>
						
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','vw-dark'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','vw-dark'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_dark_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','vw-dark'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_dark_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','vw-dark'); ?></a>
								</div>
							</div>
						</div>
					</div>
			  	</div>
				<div class="col-right-inner">
					<h3 class="page-template"><?php esc_html_e('How to set up Home Page Template','vw-dark'); ?></h3>
				  	<hr class="h3hr">
					<p><?php esc_html_e('Follow these instructions to setup Home page.','vw-dark'); ?></p>
                  	<p><span class="strong"><?php esc_html_e('1. Create a new page :','vw-dark'); ?></span><?php esc_html_e(' Go to ','vw-dark'); ?>
					  	<b><?php esc_html_e(' Dashboard >> Pages >> Add New Page','vw-dark'); ?></b></p>
                  	<p><?php esc_html_e('Name it as "Home" then select the template "Custom Home Page".','vw-dark'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/home-page-template.png" alt="" />
                  	<p><span class="strong"><?php esc_html_e('2. Set the front page:','vw-dark'); ?></span><?php esc_html_e(' Go to ','vw-dark'); ?>
					  	<b><?php esc_html_e(' Settings >> Reading ','vw-dark'); ?></b></p>
				  	<p><?php esc_html_e('Select the option of Static Page, now select the page you created to be the homepage, while another page to be your default page.','vw-dark'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/set-front-page.png" alt="" />
                  	<p><?php esc_html_e(' Once you are done with setup, then follow the','vw-dark'); ?> <a class="doc-links" href="<?php echo esc_url( VW_DARK_FREE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','vw-dark'); ?></a></p>
			  	</div>
			</div>
		</div>
		
		<div id="gutenberg_editor" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = VW_Dark_Plugin_Activation_Settings::get_instance();
			$vw_dark_actions = $plugin_ins->recommended_actions;
			?>
				<div class="vw-dark-recommended-plugins">
				    <div class="vw-dark-action-list">
				        <?php if ($vw_dark_actions): foreach ($vw_dark_actions as $key => $vw_dark_actionValue): ?>
				                <div class="vw-dark-action" id="<?php echo esc_attr($vw_dark_actionValue['id']);?>">
			                        <div class="action-inner plugin-activation-redirect">
			                            <h3 class="action-title"><?php echo esc_html($vw_dark_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($vw_dark_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($vw_dark_actionValue['link']); ?>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php }else{ ?>
				<h3><?php esc_html_e( 'Gutunberg Blocks', 'vw-dark' ); ?></h3>
				<hr class="h3hr">
				<div class="vw-dark-pattern-page">
			    	<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-templates' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Ibtana Settings','vw-dark'); ?></a>
			    </div>

			    <div class="link-customizer-with-guternberg-ibtana">
	              	<div class="link-customizer-with-block-pattern">
						<h3><?php esc_html_e( 'Link to customizer', 'vw-dark' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','vw-dark'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_dark_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','vw-dark'); ?></a>
								</div>
							</div>
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','vw-dark'); ?></a>
								</div>
								
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_dark_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','vw-dark'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_dark_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','vw-dark'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','vw-dark'); ?></a>
								</div> 
							</div>
						</div>
					</div>	
				</div>
			<?php } ?>
		</div>

	</div>
</div>

<?php } ?>